CSEG    SEGMENT PARA PUBLIC 'CODE'
              ASSUME   CS:CSEG,DS:CSEG,ES:CSEG,SS:CSEG

        ORG   100h
ENTRY:  JMP   START

MESSAGE	DB    	'Command syntax:',0Dh,0Ah
	DB	'[d:][path] ASKER parameters',0Dh,0Ah
	DB	'Refer to documentation for details.',0Dh,0Ah,'$'
						
START   PROC  NEAR
			
	MOV	SI,80h			;Get first parameter
	LODSB	
	CMP	AL,0
	JZ	EXIT2			;If no paremters, tell user 
	LODSB				;   tell user to enter some
	LODSB
	MOV	BH,AL			;Move it to BH
	LODSB
	MOV	BL,AL			;Move second parameter to BL
	LODSB
	MOV	CH,AL			;Move third to CH
BEGIN:	MOV	AH,08h			;Console input without echo
	INT	21h	
	CMP	BH,AL			;Did user hit the parameter character
	JE	ERROR1			;If first choice, ERRORLEVEL 1
	CMP	BL,AL			;Is it second choice?
	JE	ERROR2			;   If so, ERRORLEVEL 2
	CMP	CH,AL			;Is it third choice?
	JE	ERROR3			;   If so, exit with ERRORLEVEL 3
	JMP	EXIT			;If none, then ERRORLEVEL 0
	INT	21h
	RET	
	
ERROR1:	MOV	AX,4C01h
	INT	21h
	RET

ERROR2: MOV	AX,4C02h
	INT	21h
	RET

ERROR3:	MOV	AX,4C03h
	INT	21h

EXIT2:	MOV	DX,OFFSET MESSAGE	;Display the message
	MOV	AH,09
	INT	21h
EXIT:
	MOV	AX,4C00h
	INT	21h
        RET                            ;Return to DOS or DEBUG
START   ENDP
CSEG  ENDS
        END   ENTRY
